cmor (3.9.0-1build3) plucky; urgency=medium

  * No-change rebuild for libnetcdf22.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Feb 2025 07:48:11 +0000

cmor (3.9.0-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:22:02 +0000

cmor (3.9.0-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:29:17 +0100

cmor (3.9.0-1) unstable; urgency=medium

  * New upstream release
  * Set Debian Science Maint. as maintainer
  * Fix broken vcs url
  * Standards-Version: 4.7.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 07 Sep 2024 06:39:28 +0100

cmor (3.8.0-1) unstable; urgency=medium

  * New upstream release
  * Now use pkgconf instead of pkg-config

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Apr 2024 12:01:57 +0100

cmor (3.7.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062101

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 16:23:20 +0000

cmor (3.7.3-1) unstable; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Oct 2023 14:53:34 +0100

cmor (3.7.2-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Jun 2023 16:49:09 +0100

cmor (3.7.2-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.2

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 30 Mar 2023 08:17:30 +0100

cmor (3.7.1-1) unstable; urgency=medium

  * New upstream release
  * Fix python path in PrePARE script

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 01 Dec 2022 11:06:27 +0000

cmor (3.7.0-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Aug 2022 08:40:09 +0100

cmor (3.6.1-1) unstable; urgency=medium

  * New upstream release
  * Move to debhelper level 13
  * Standards-Version: 4.5.1; no changes required
  * Drop unused patches:
     - clean.patch explicit-tests.patch ncldflags.patch
  * python3.patch: some changes for py27 to py3

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Dec 2020 21:29:18 +0000

cmor (3.6.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete patches:
    - makefile-fix.patch
    - python3.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 May 2020 16:00:13 +0100

cmor (3.5.0-3) unstable; urgency=medium

  * Standards-Version: 4.5.0
  * Drop --with python3,fortran_mod in favour of dh-sequence-*
  * Ack that we support all python3 versions. Closes:  #943633

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Mar 2020 15:46:52 +0000

cmor (3.5.0-2) unstable; urgency=medium

  * Drop unnecessary dep on python. Closes: #945654

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Nov 2019 18:53:58 +0000

cmor (3.5.0-1) unstable; urgency=medium

  * New upstream release
  * Use debhelper-compat (= 12)
  * Standards-Version: 4.4.0
  * Build-depend on libjson-c-dev >= 0.13.1 for json_object_get_userdata
  * Update docs, examples

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Aug 2019 10:14:11 +0100

cmor (3.4.0-3) unstable; urgency=medium

  * Drop python2 (python-cmor) for Bullseye
  * B-D on gfortran | fortran-compiler 
  * Use  f95 as alias for Fortran compiler

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Jul 2019 13:15:41 +0100

cmor (3.4.0-2) unstable; urgency=medium

  * Use dh-fortran-mod to place Fortran module files in $fmoddir
  * Standards-Version: 4.3.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 15 Jan 2019 18:12:48 +0000

cmor (3.4.0-1) unstable; urgency=medium

  * New upstream release
  * Add PATH_MAX to Src/cmor.c for Hurd
  * Standards-Version: 4.2.1
  * Drop hard-coded xz compression

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 21 Dec 2018 11:25:57 +0000

cmor (3.3.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.4; no changes required
  * Drop obsolete X-Python-Version clause in d/control
  * Point VCS at salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Jul 2018 09:52:58 +0100

cmor (3.3.2-2) unstable; urgency=medium

  * Fix for python3 patch - re-enable from __future__. Closes: #894866

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Apr 2018 09:17:58 +0100

cmor (3.3.2-1) unstable; urgency=medium

  * New upstream release
  * Explicit build-dep on dh-python now needed

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 04 Apr 2018 10:56:53 +0100

cmor (3.3.1-2) unstable; urgency=medium

  * Fixes to PrePARE.py python3 patch. Closes: #891280
  * Add build-dep on heimdal-multidev
  * Add kfreebsd/hurd patch for fortran detection. Closes: #883985

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Feb 2018 14:39:44 +0000

cmor (3.3.1-1) unstable; urgency=medium

  * New upstream release
    - refresh patches
  * Standards-Version: 4.1.3
  * Change libcmor-dev to use python3 not python

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Feb 2018 17:51:03 +0000

cmor (3.3.0-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete B-D on automake, libgfortran3
  * Change Priority: extra to optional
  * Standards-Version: 4.1.2; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Dec 2017 10:03:37 +0000

cmor (3.2.8-1) unstable; urgency=medium

  * New upstream release
  * Add python dependency to -dev for PrePARE.py

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Nov 2017 15:49:54 +0000

cmor (3.2.7-2) unstable; urgency=medium

  * Drop dependency on transitional libhdf5-serial-dev. Closes: #879133
  * Buiild-depend on krb5-multidev | heimdal-multidev. Closes: #836681
  * Standards-Version: 4.1.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Oct 2017 06:49:25 +0100

cmor (3.2.7-1) unstable; urgency=medium

  * New upstream release
  * Depend on ${python:Depends} rather than python (libcmor-dev)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Sep 2017 10:06:34 +0100

cmor (3.2.6-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.0; no changes required
  * Add python dependency to libcmor-dev for PrePARE script
  * Update python3.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Sep 2017 16:41:55 +0100

cmor (3.2.5-2) unstable; urgency=medium

  * Use --single-version-externally-managed to avoid shipping a site.py
    and easy-install.pth Closes: #870169

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Aug 2017 12:12:35 +0100

cmor (3.2.5-1) unstable; urgency=medium

  * New upstream release
  * S-V: 4.0.0; no changes required
  * Add watch file
  * libcmor-dev now Multi-Arch: same

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 29 Jul 2017 21:35:28 +0100

cmor (3.2.1-3) unstable; urgency=medium

  * Do not ship json-c include files; depend on libjson-c-dev. Closes: #849941

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Jan 2017 12:31:41 +0000

cmor (3.2.1-2) unstable; urgency=medium

  * Disable tests, segfault on some archs

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 24 Dec 2016 08:14:24 +0000

cmor (3.2.1-1) experimental; urgency=medium

  * New upstream release
  * DH_COMPAT=10, with debhelper dependency = 10
  TODO: Check symbols and versioning before release to unstable
  * Add license change and clarification to debian/copyright.
    Closes: #821148
  * Add dependency on libffi-dev
  * New PrePARE.py script ships in libcmor-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Dec 2016 15:03:14 +0000

cmor (2.9.3-2) experimental; urgency=medium

  * Add experimental python3 support
  * Add libsz support via libaec-dev
  * Add Heimdall-gssapi support	

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Aug 2016 16:45:37 +0100

cmor (2.9.3-1) unstable; urgency=medium

  * New upstream release
   - refresh patches. makefile fix no longer needed
  * Standards-Version: 3.9.8

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Jun 2016 11:07:02 +0100

cmor (2.9.1-7) unstable; urgency=medium

  * Now recommend cmor-tables instead of cmip5-cmor-tables.
  * Standards-Version: 3.9.7

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Apr 2016 14:58:19 +0100

cmor (2.9.1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Require at least libnetcdf-dev 4.3.3.1 for netcdf transition.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Aug 2015 21:04:08 +0200

cmor (2.9.1-6) experimental; urgency=medium

  * test against netcdf 4.4.2 for transition.
  * Standards-Version: 3.9.6.
  * Update home page
  * Add Vcs-Git pointing to debian-science URL
  * Removing ppc64el workaround; apparently problem fixed. Closes: #768136.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Jul 2015 09:01:48 +0100

cmor (2.9.1-5) unstable; urgency=medium

  * Fix typo that used wrong var name on conditional ppc64el build
    in debian/rules. Thanks to pini. Closes: #755167.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Jul 2014 10:18:06 +0100

cmor (2.9.1-4) unstable; urgency=medium

  * Make additional flags  and pkgs a requirement for ppc64el only.
    Closes: #755167, #754640.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Jul 2014 19:05:11 +0100

cmor (2.9.1-3) unstable; urgency=medium

  * Add patch for ppc64el. Needs krb, gssapi and friends.  Closes: #748947.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 11 Jul 2014 10:09:09 +0100

cmor (2.9.1-2) unstable; urgency=medium

  * Disable known broken tests on kfreebsd, s390x to allow transition.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Jul 2014 11:51:45 +0100

cmor (2.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 24 Jun 2014 12:00:26 +0100

cmor (2.8.3-1) unstable; urgency=low

  * New upstream release.
  * Depend on debhelper >=9 now. Remove lintian override.
  * Enable hardening.
  * Enable build-twice.
  * Standards-Version: 3.9.5
  * Build-Conflict: on python packages. For correct testing.
  * Use xz compression.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 31 May 2014 18:19:02 +0100

cmor (2.8.0-3) unstable; urgency=low

  * Drop reference to upstream git repo for now. Closes: #661325
  * Fix broken symlink libcmor.so. Closes: #681891
  * Don't run test suite on kfreebsd-i386 as the buildds typically don't
    have DFLSIZ set high enough. Closes: #598745. 
  * Standards-Version: 3.9.3

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Sep 2012 13:56:03 +0100

cmor (2.8.0-2) unstable; urgency=low

  * Add lintian override for DH 9 without versioned depends.
  * Remove libcmor2.install that adds incorrect double copy of library.
    Closes: #650387. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 04 Feb 2012 16:33:01 +0000

cmor (2.8.0-1) unstable; urgency=low

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Nov 2011 14:35:02 +0000

cmor (2.7.1-4) unstable; urgency=low

  * Add Multiarch support.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 01 Oct 2011 13:24:48 +0100

cmor (2.7.1-3) unstable; urgency=low

  * Add dh_numpy call to get versioned depends on numpy. Closes: #641791.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Sep 2011 14:03:07 +0100

cmor (2.7.1-2) unstable; urgency=low

  * Use python2 instead of python-central (and python-support)
    Closes: #616778.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 16 Sep 2011 14:03:07 +0100

cmor (2.7.1-1) unstable; urgency=low

  * New upstream release. (Minor debugging statements removed).

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Jul 2011 18:24:50 +0100

cmor (2.7.0-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 21 Jun 2011 17:00:17 +0100

cmor (2.6.1-1) unstable; urgency=low

  * New upstream release 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Jun 2011 10:39:10 +0100

cmor (2.6-1) unstable; urgency=low

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Jun 2011 09:36:53 +0100

cmor (2.5.9-1) unstable; urgency=low

  * New upstream release. 
  * Recommend latest cmip5 tables. (1.3.9).
  * Standards-Version : 3.9.2

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Apr 2011 10:19:48 +0100

cmor (2.5.8-1) unstable; urgency=low

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Apr 2011 09:41:12 +0100

cmor (2.5.7-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 Feb 2011 23:24:49 +0000

cmor (2.5.5-1) unstable; urgency=low

  * New upstream release, fixing MPI issue. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Feb 2011 09:33:18 +0000

cmor (2.5.4-1) unstable; urgency=low

  * New upstream release, fixing memory issue in python module. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Feb 2011 15:42:41 +0000

cmor (2.5.3-1) unstable; urgency=low

  * New upstream release.
  * Add Recommends: cmip5-cmor-tables to libcmor2 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Feb 2011 09:51:35 +0000

cmor (2.5.2-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 24 Dec 2010 15:17:40 +0000

cmor (2.5.1-2) unstable; urgency=low

  [ Matthias Klose ]
  * Fix build failure with ld --no-add-needed. Closes: #606210.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Dec 2010 19:23:17 +0000

cmor (2.5.1-1) unstable; urgency=low

  * New upstream release. 
  * Added debug-test.patch to help debug FTFBS on s390, kfreebsd-*

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 05 Dec 2010 15:16:25 +0000

cmor (2.5.0-1) unstable; urgency=low

  * New upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 13 Nov 2010 15:15:27 +0000

cmor (2.4.0-1) unstable; urgency=low

  * New upstream release.
  * Minor patch to ensure Tables is created for tests to run.
  * Build-Conflict: libcmor2. Package may fail to build in strange ways if
    a pre-existing version of the library is present.
  * Update Git server; its moved.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Oct 2010 07:20:46 +0100

cmor (2.3.0-2) unstable; urgency=low

  * --enable-netcdf-4 not a valid option; remove. Just use autodetection. 
  * libcmor.so.2 should be linked against -lossp-uuid; 
  * Add -I${includedir}/cdTime to CFlags in cmor.pc
  * Add FFlags variable to cmor.pc for Fortran.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Oct 2010 00:24:35 +0100

cmor (2.3.0-1) unstable; urgency=low

  * New upstream release. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 08 Oct 2010 06:28:20 +0100

cmor (2.2.1-1) unstable; urgency=low

  * New Upstream release.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 17 Sep 2010 14:20:15 +0100

cmor (2.2.0-2) unstable; urgency=low

  * Include automake dependency; autoconf not needed. Closes: #592097.
  * gfortran, python-numpy b-deps needed for python functionality.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 31 Aug 2010 18:40:03 +0100

cmor (2.2.0-1) unstable; urgency=low

  * Upstream release 2.2.0. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 25 Aug 2010 19:16:37 +0100

cmor (2.0~rc10-2) unstable; urgency=low

  * Add autoconf as build-dependency. Closes: #591932.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 06 Aug 2010 18:05:36 +0100

cmor (2.0~rc10-1) unstable; urgency=low

  * Initial release. (Closes: #584636).

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 29 Jul 2010 10:50:58 +0100
